Bug 483474 - Review Request: perl-Test-TempDir - Temporary files support for testing
Review Request: perl-Test-TempDir - Temporary files support for testing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 11:04 EST by Allisson Azevedo
Modified: 2010-05-13 18:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 05:59:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-01 11:04:32 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-Test-TempDir/perl-Test-TempDir.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-Test-TempDir/perl-Test-TempDir-0.04-1.fc10.src.rpm

Description: Test::TempDir provides temporary directory creation with testing in mind.
Comment 1 manuel wolfshant 2009-02-01 20:27:49 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 7eb8feb31d17ca559c31cb1a692439470d8ad6eb Test-TempDir-0.04.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package requires other packages for directories it uses.
 [!] Package does not contain duplicates in %files.
See issues
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English langu
ages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [-] Package should compile and build into binary rpms on all supported architectures.
     Tested on: standard perl module, noarch
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] make check passes

===Issues===

There are a lot of duplicate requires:
perl(:MODULE_COMPAT_5.10.0)
perl(Carp)
perl(File::NFSLock)
perl(File::Spec)
perl(File::Temp)
perl(Moose)
perl(Moose) >= 0.50
perl(Moose::Util::TypeConstraints)
perl(MooseX::Types::Path::Class)
perl(MooseX::Types::Path::Class)
perl(Path::Class)
perl(Path::Class)
perl(Sub::Exporter)
perl(Sub::Exporter)
perl(Test::TempDir::Factory)
perl(Test::TempDir::Handle)
perl(Test::use::ok)
perl(namespace::clean)
perl(namespace::clean) >= 0.08
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

It looks like most of the stuff that you added as Requires is automatically picked up by rpmbuild, isn't it ?
Comment 2 Allisson Azevedo 2009-02-01 20:44:37 EST
Update package:

Spec URL:
http://allisson.fedorapeople.org/packages/perl-Test-TempDir/perl-Test-TempDir.spec

SRPM URL:
http://allisson.fedorapeople.org/packages/perl-Test-TempDir/perl-Test-TempDir-0.04-2.fc10.src.rpm

Changes:

* Sun Feb 01 2009 Allisson Azevedo <allisson@gmail.com> 0.04-2
- Fix requires.
Comment 3 manuel wolfshant 2009-02-01 21:12:07 EST
OK, no dups any more

APPROVED
Comment 4 Allisson Azevedo 2009-02-01 21:18:42 EST
New Package CVS Request
=======================
Package Name: perl-Test-TempDir
Short Description: Temporary files support for testing
Owners: allisson
Branches: F-9 F-10
Comment 5 Kevin Fenzi 2009-02-02 23:30:12 EST
cvs done.
Comment 6 Emmanuel Seyman 2010-05-13 15:44:41 EDT
I'm adding perl-sig to InitialCC.

Package Change Request
======================
Package Name: perl-Test-Tempdir
Owners: eseyman
InitialCC: perl-sig
Comment 7 Dennis Gilmore 2010-05-13 18:51:12 EDT
you can do that yourself via the pkgdb web interface

Note You need to log in before you can comment on or make changes to this bug.